Support Questions

Find answers, ask questions, and share your expertise
Announcements
Celebrating as our community reaches 100,000 members! Thank you!

Error: No package ambari-metrics-collector available

avatar
Expert Contributor

Amabari installation failed, the log file -->Installing package ambari-metrics-collector ('/usr/bin/yum -d 0 -e 0 -y install ambari-metrics-collector') command failed

on my ambari server, I dont have this package at all, anyhow, I copied HDP.repo, HDP-UTILS.repo to all data nodes then try to manually install ambari-metrics-collector, but I got following:

/usr/bin/yum -d 0 -e 0 -y install ambari-metrics-collector Error: Nothing to do

/usr/bin/yum -d 0 -e 0 -y install ambari-metrics-collector Error: Nothing to do

these errors repeatedly stop my installation. and my repo was downloaded as:

1. I used this repo -->http://public-repo-1.hortonworks.com/ambari/centos6/2.x/updates/2.4.0.1/ambari.repo

2. I used AWS/EC2 m4.large with 20 gb for Root dir and 100 EBS(magnetic), I ignored the metrics_collector_heap_size warnings, because if I following the recommended size to modify them, it would come up with the second recommended size, I even go as far as 7 times edit these numbers, never done with it.

3. Any one had the same issue like mine? if the storage setting here matters? what is a good combination of these metrics_collector_heap_size, xmn_size and master_heap_size?

4. the type of instance are different, different RAM, these heap_size will depends, what to follow? isnt this HDP job?

thank so much for you help.

1 ACCEPTED SOLUTION

avatar
Master Mentor
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login
13 REPLIES 13

avatar
Expert Contributor

oh, my ambari service is external mode, use http://ec2....amazon.com:8080, if this is so called external mode.

after ambari-server reset, I got the same error. the repo is:

http://public-repo-1.hortonworks.com/ambari/centos6/2.x/updates/2.4.0.1/ambari.repo

rpm -qa|grep ambari-metrics -- show all packages are installed.

so the hbase configure info is the problem. it refuse the connection. I dont need to edit hbase configure with ambari 2.4 in the past at all. any changes on HDP?

thanks,

Robin

avatar
Expert Contributor

oh, my ambari service is external mode, use http://ec2....amazon.com:8080, if this is so called external mode.

after ambari-server reset, I got the same error. the repo is:

http://public-repo-1.hortonworks.com/ambari/centos6/2.x/updates/2.4.0.1/ambari.repo

rpm -qa|grep ambari-metrics -- show all packages are installed.

so the hbase configure info is the problem. it refuse the connection. I dont need to edit hbase configure with ambari 2.4 in the past at all. any changes on HDP?

thanks,

Robin

avatar
Expert Contributor

oh, my ambari service is external mode, use http://ec2....amazon.com:8080, if this is so called external mode.

after ambari-server reset, I got the same error. the repo is:

http://public-repo-1.hortonworks.com/ambari/centos6/2.x/updates/2.4.0.1/ambari.repo

rpm -qa|grep ambari-metrics -- show all packages are installed.

so the hbase configure info is the problem. it refuse the connection. I dont need to edit hbase configure with ambari 2.4 in the past at all. any changes on HDP?

thanks,

Robin

avatar
Expert Contributor

oh, my ambari service is external mode, use http://ec2....amazon.com:8080, if this is so called external mode.

after ambari-server reset, I got the same error. the repo is:

http://public-repo-1.hortonworks.com/ambari/centos6/2.x/updates/2.4.0.1/ambari.repo

rpm -qa|grep ambari-metrics -- show all packages are installed.

so the hbase configure info is the problem. it refuse the connection. I dont need to edit hbase configure with ambari 2.4 in the past at all. any changes on HDP?

thanks,

Robin